<?php
namespace nur\sery\os\proc;

/**
 * Class CmdAnd: une séquence de commandes séparées par &&
 *
 * l'exécution s'arrête à la première erreur
 */
class CmdAnd extends AbstractCmdList {
  function __construct($cmd=null, ?string $input=null, ?string $output=null) {
    parent::__construct(" && ", $cmd, $input, $output);
  }
}
